Batch
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
POST | |
GET | |
GET | |
POST | |
GET | |
POST | |
GET | |
GET |
Create batch exports unpause
Unpause a BatchExport.
Required API key scopes
batch_export:writePath parameters
- idstring
Request parameters
- namestring
- model
- destination
- interval
- pausedboolean
- last_paused_atstringnull
- start_atstringnull
- end_atstringnull
- hogql_querystring
- filters
- timezone
- offset_dayintegernull
- offset_hourintegernull
Example request
POST /api /projects /:project_id /batch_exports /:id /unpauseExample response
Status 200 No response body
Create batch exports unpause
Unpause a BatchExport.
Required API key scopes
batch_export:writePath parameters
- idstring
Request parameters
- namestring
- model
- destination
- interval
- pausedboolean
- last_paused_atstringnull
- start_atstringnull
- end_atstringnull
- hogql_querystring
- filters
- timezone
- offset_dayintegernull
- offset_hourintegernull
Example request
POST /api /projects /:project_id /batch_exports /:id /unpauseExample response
Status 200 No response body
Create batch exports run test step new
Required API key scopes
batch_export:writeRequest parameters
- namestring
- model
- destination
- interval
- pausedboolean
- last_paused_atstringnull
- start_atstringnull
- end_atstringnull
- hogql_querystring
- filters
- timezone
- offset_dayintegernull
- offset_hourintegernull
Example request
POST /api /projects /:project_id /batch_exports /run_test_step_newExample response
Status 200 No response body
Create batch exports run test step new
Required API key scopes
batch_export:writeRequest parameters
- namestring
- model
- destination
- interval
- pausedboolean
- last_paused_atstringnull
- start_atstringnull
- end_atstringnull
- hogql_querystring
- filters
- timezone
- offset_dayintegernull
- offset_hourintegernull
Example request
POST /api /projects /:project_id /batch_exports /run_test_step_newExample response
Status 200 No response body
Retrieve batch exports test
Required API key scopes
batch_export:readExample request
GET /api /projects /:project_id /batch_exports /testExample response
Status 200 No response body
Retrieve batch exports test
Required API key scopes
batch_export:readExample request
GET /api /projects /:project_id /batch_exports /testExample response
Status 200 No response body
List all file download batch exports
Required API key scopes
batch_export:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /file_download_batch_exportsExample response
Status 200
RESPONSE
Create file download batch exports
Create and start a batch export on demand run to download a file.
Required API key scopes
batch_export:writeResponse
Example request
Example response
Status 202
RESPONSE
Retrieve file download batch exports
Get a batch export on demand run.
If the underlying batch export run has completed, we return keys to the generated file downloads so that users may download them by making a request to /download.
Required API key scopes
batch_export:readPath parameters
- idstring
Example request
GET /api /projects /:project_id /file_download_batch_exports /:idExample response
Status 200
RESPONSE
Create file download batch exports cancel
Cancel an ongoing file-download batch export.
Required API key scopes
batch_export:writePath parameters
- idstring
Request parameters
- file
- model
- includearray
- excludearray
- data_interval_startstring
- data_interval_endstring
Example request
POST /api /projects /:project_id /file_download_batch_exports /:id /cancelExample response
Status 200 No response body
Retrieve file download batch exports download
Download a file (or a part) from this batch export run.
Users can provide a part component with an id or index, or no part component at all:
- If part id is included: The file download matching the id is downloaded.
- If part index is included: The file download matching the index (as ordered by key) is downloaded.
- If no part component is present: If there is only one file downloaded, that is downloaded. Otherwise the first one as sorted by key is downloaded.
Required API key scopes
batch_export:readPath parameters
- idstring
Example request
GET /api /projects /:project_id /file_download_batch_exports /:id /downloadExample response
Status 200 No response body
Retrieve file download batch exports logs
Path parameters
- idstring
Query parameters
- afterstring
- beforestring
- instance_idstring
- levelstring
- limitintegerDefault:
50 - searchstring
Example request
GET /api /projects /:project_id /file_download_batch_exports /:id /logs